Bug 179074 - [NEW PORT] devel/pecl-event: Provides interface to libevent library
Summary: [NEW PORT] devel/pecl-event: Provides interface to libevent library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-29 10:20 UTC by johnpupu
Modified: 2013-11-03 09:55 UTC (History)
0 users

See Also:


Attachments
.shar (1.52 KB, text/plain)
2013-05-29 10:20 UTC, johnpupu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description johnpupu 2013-05-29 10:20:00 UTC
This is a port of libevent to the PHP infrastructure.

WWW: http://pecl.php.net/package/event

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2013-05-29 10:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:09:25 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 Antoine Brodin freebsd_committer 2013-10-30 19:41:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

take
Comment 4 Antoine Brodin freebsd_committer 2013-10-30 19:41:34 UTC
State Changed
From-To: open->feedback

Hello, 

Are you still interested in this port? 

I see that version 1.8.1 was released a few days ago. 
Are you ok for using this new version?
Comment 5 dfilter service freebsd_committer 2013-11-03 09:49:40 UTC
Author: antoine
Date: Sun Nov  3 09:49:31 2013
New Revision: 332601
URL: http://svnweb.freebsd.org/changeset/ports/332601

Log:
  New port: pecl-event
  This is a port of libevent to the PHP infrastructure.
  
  WWW: http://pecl.php.net/package/event
  
  PR:		ports/179074
  Submitted by:	John Chen

Added:
  head/devel/pecl-event/
  head/devel/pecl-event/Makefile   (contents, props changed)
  head/devel/pecl-event/distinfo   (contents, props changed)
  head/devel/pecl-event/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sun Nov  3 09:40:34 2013	(r332600)
+++ head/devel/Makefile	Sun Nov  3 09:49:31 2013	(r332601)
@@ -3240,6 +3240,7 @@
     SUBDIR += pecl-dio
     SUBDIR += pecl-eio
     SUBDIR += pecl-ev
+    SUBDIR += pecl-event
     SUBDIR += pecl-expect
     SUBDIR += pecl-gearman
     SUBDIR += pecl-hidef

Added: head/devel/pecl-event/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pecl-event/Makefile	Sun Nov  3 09:49:31 2013	(r332601)
@@ -0,0 +1,27 @@
+# Created by: John Chen <johnpupu@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	event
+PORTVERSION=	1.8.1
+CATEGORIES=	devel
+MASTER_SITES=	http://pecl.php.net/get/
+PKGNAMEPREFIX=	pecl-
+EXTRACT_SUFX=	.tgz
+DIST_SUBDIR=	PECL
+
+MAINTAINER=	johnpupu@gmail.com
+COMMENT=	Provides interface to libevent library
+
+LICENSE=	PHP301
+
+LIB_DEPENDS=	libevent-2.0.so:${PORTSDIR}/devel/libevent2
+
+USE_OPENSSL=	yes
+CONFIGURE_ARGS=	--with-openssl-dir=${OPENSSLBASE}
+USE_PHP=	sockets
+USE_PHP_BUILD=	yes
+USE_PHPEXT=	yes
+PHP_MODNAME=	event
+IGNORE_WITH_PHP=52 53
+
+.include <bsd.port.mk>

Added: head/devel/pecl-event/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pecl-event/distinfo	Sun Nov  3 09:49:31 2013	(r332601)
@@ -0,0 +1,2 @@
+SHA256 (PECL/event-1.8.1.tgz) = 8bababa437fd391d02fdc953005496f701bdfc3f46a0395806d4a7f5cda8d26c
+SIZE (PECL/event-1.8.1.tgz) = 71747

Added: head/devel/pecl-event/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pecl-event/pkg-descr	Sun Nov  3 09:49:31 2013	(r332601)
@@ -0,0 +1,3 @@
+This is a port of libevent to the PHP infrastructure.
+
+WWW: http://pecl.php.net/package/event
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Antoine Brodin freebsd_committer 2013-11-03 09:55:08 UTC
State Changed
From-To: feedback->closed

This port has been committed, version 1.8.1 
Thanks for the submission!